Package org.eclipse.graphiti.ui.internal.parts.directedit

# Class ContentProposal

java.lang.Object
org.eclipse.graphiti.ui.internal.parts.directedit.ContentProposal

All Implemented Interfaces:
  `org.eclipse.jface.fieldassist.IContentProposal`

public class ContentProposal extends Object implements org.eclipse.jface.fieldassist.IContentProposal

## Constructor Summary

Constructors
Constructor
Description
`ContentProposal(IDirectEditHolder directEditHolder, int cursorPosition, String currentText, String proposalText, IProposal proposal, String description)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContent()`
`int`
`getCursorPosition()`
`String`
`getDescription()`
`String`
`getLabel()`
`IProposal`
`getProposal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContentProposal

public ContentProposal(IDirectEditHolder directEditHolder, int cursorPosition, String currentText, String proposalText, IProposal proposal, String description)

## Method Details

### getContent

public String getContent()

Specified by:
  `getContent` in interface `org.eclipse.jface.fieldassist.IContentProposal`

### getCursorPosition

public int getCursorPosition()

Specified by:
  `getCursorPosition` in interface `org.eclipse.jface.fieldassist.IContentProposal`

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `org.eclipse.jface.fieldassist.IContentProposal`

### getLabel

public String getLabel()

Specified by:
  `getLabel` in interface `org.eclipse.jface.fieldassist.IContentProposal`

### getProposal

public IProposal getProposal()

Returns:
  the proposel